Deallocate a Unit
curl --request POST \
--url https://public-api.stora.co/2025-09/units/{unit_id}/deallocate \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/units/{unit_id}/deallocate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/units/{unit_id}/deallocate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"unit": {
"id": "unit_1e36123098e22cf8",
"created_at": "2025-02-22T14:41:00Z",
"reference_id": "UNIT-001",
"site": {
"id": "site_14b419f1096013f1"
},
"status": "available",
"unit_allocation": null,
"unit_type": {
"id": "utype_f18fc91387cdf710"
},
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}{
"error": {
"code": "resource_not_found",
"details": [],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The Unit was not found.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}{
"error": {
"code": "invalid_content",
"details": [
{
"message": "Unit cannot be deallocated. Current status: 'available'",
"pointer": "unit_id"
}
],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The request body content is not valid.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}Units
Deallocate a Unit
Deallocate a unit.
Requirements:
- The unit status must be one of:
reserved,occupied,overlock,repossessed
Required authorization scope: public.unit:write
POST
/
2025-09
/
units
/
{unit_id}
/
deallocate
Deallocate a Unit
Was this page helpful?
⌘I